cURL
curl --request PUT \
--url https://api.artisn.desarrollo-redbrand.com/api/v3/stores/{storeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"active": true
}'import requests
url = "https://api.artisn.desarrollo-redbrand.com/api/v3/stores/{storeId}"
payload = { "active": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({active: true})
};
fetch('https://api.artisn.desarrollo-redbrand.com/api/v3/stores/{storeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "New store 805",
"active": true,
"storeId": 805,
"services": [
{
"name": "DELIVERY",
"active": true
}
],
"vendorId": 16,
"schedulesByChannel": [
{
"channelId": "0F049503-85CF-E511-80C6-000D3A3261F3",
"schedules": [
{
"day": "FRIDAY",
"endTime": "22:30",
"startTime": "10:00"
}
]
}
],
"storeCode": "T005",
"taxesInfo": {
"taxRate": 0,
"vatRatePercentage": 12
},
"contactInfo": {
"phone": "23955400",
"address": "PICHINCHA / QUITO / INAQUITO / AV. AMERICA N37-288 Y VILLALENGUA"
},
"deliveryInfo": {
"cookTime": "10",
"deliveryId": 46356,
"minimumOrder": "0.00",
"shippingCost": 1.99
},
"locationInfo": {
"city": "QUITO",
"latitude": "-0.17250869436401206",
"longitude": "-78.49125266075134"
},
"storeChannels": [
"0F049503-85CF-E511-80C6-000D3A3261F3"
],
"storeImage": "<array>",
"paymentMethodAvailability": "<string>",
"paymentMethodInfo": "<string>"
}This response has no body data.Tiendas y canales de venta
Cambiar estado de tienda
This endpoint changes the status of a store in the system
PUT
/
v3
/
stores
/
{storeId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the store
Query Parameters
Unique identifier of the brand
Body
application/json
State to which the store will be updated
Response
Store response
Example:
"New store 805"
Example:
true
Example:
805
Show child attributes
Show child attributes
Unique brand identifier. *This identifier is provided by Trade.
Example:
16
Show child attributes
Show child attributes
Example:
"T005"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Store image
⌘I

